VismaBouwsoftAPICalls.v1_GET_ContractTypes Method
v1_GET_ContractTypes() as String

This API call is used to get fields of a(n) ContractType(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /ContractTypes/
or
API Path: /ContractTypes/FieldInfo/

You make this API call:
* to get the result of ContractTypes

Fields

The following fields are available:

Field Name Type Name Length Required Writeable Force Write Link
name tpString 200 No No No
name_localized tpString 200 No No No

/ContractTypes/

API Path: /ContractTypes/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ContractTypes

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: mVUfWxfmjPzSfbfjPfzRqVmIfAtmGfkGftmbzAfDUGbfAffAUk

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/5”, “Records”: [
  {
    "id": 1,
    "name": "Bepaalde duur",
    "name_localized": "Fixed period"
  },
  {
    "id": 2,
    "name": "Deeltijds",
    "name_localized": "Part-time"
  }
,

]
}

/ContractTypes/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ContractTypes/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "name",
    "type_id": 2,
    "type_name": "tpString",
    "length": 200,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "name_localized",
    "type_id": 2,
    "type_name": "tpString",
    "length": 200,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
]